View Issue Details

IDProjectCategoryView StatusLast Update
0000057Slicer3Base Codepublic2017-06-10 08:51
ReporterTracyAbildskovAssigned ToYumin 
PriorityhighSeverityminorReproducibilityalways
Status resolvedResolutionopen 
Summary0000057: Places Bar on Windows version keeps getting reset
Description

The places bar on Windows version of Slicer3 keeps getting reset to C:\Documents and Settings\psyched. "psyched" is my login name on my computer. I can use Microsoft powertool TweakUI to reset it back to the way it should be but as soon as I startup Slicer3 again it overides what I just did as far as the places bar.

Additional Information

This is not a Major problem since I have a work around but it did take a while to figure out what was causing it and come up with the workaround.

TagsNo tags attached.

Activities

pieper

pieper

2007-08-15 12:35

administrator   ~0000110

I believe there's a plan in place for fixing this, but I don't think it's happened yet.

Yumin

Yumin

2007-11-15 10:35

developer   ~0000133

This was resolved in September, 2007. More info can be found from this link.

http://public.kitware.com/pipermail/kwwidgets/2007-September/thread.html.

Basically, a flag is added to give user option of updating the default places bar on Windows, or not. By default, this flag is off.

Yumin

Yumin

2007-11-15 10:45

developer   ~0000134

This was resolved in September, 2007. More info can be found from this link.

http://public.kitware.com/pipermail/kwwidgets/2007-September/thread.html. [^]

Basically, a flag is added to give user option of updating the default places bar on Windows, or not. By default, this flag is off.

Related Changesets

Import 2017-06-07 23:51:09: master 01a003a8

2015-09-09 10:20:16

msmolens

Details Diff
ENH: Update python-cmake-buildsystem to support building Python 2.7.10

$ git shortlog 0838470ec2a0d20909571793ebb4ccc8a3292ac5..ed5f9bcee540e47f82fa17f8360b820591aa6d66 --no-merges
Chuck Atkins (9):
Accomodate the various configurations of nbdm.h
Use proper assembler support instead of manually assembling .S files.
Use list(APPEND ...) to build lists avoiding excessive ";"s
Use target_compile_definitions so defs get appended instead of replaced
Remove dlmalloc.c from libffi's source list
Use BUILD_EXTENSIONS_AS_BUILTIN as default but let BUILTIN_FOO override
Mark BUILTIN_FOO and ENABLE_FOO as advanced if they use default values.
Add additional locations to check for python source
Fix `exec_prefix` error occurring when no extension are built shared

Gaƫtan Lehmann (1):
Automatically download the python sources

Jean-Christophe Fillion-Robin (42):
Use official tar.gz source archive for both windows and unix
Check MD5 of downloaded source archive
Document DOWNLOAD_SOURCES CMake option
Display source download messages with first letter upper-cased
Download source archive in the parent directory
travis: Add initial configuration
appveyor: Add initial configuration
pyconfig: Re-locate HAVE_UINTPTR_T macro to match position in official source
Issue #18747: Re-seed OpenSSL's pseudo-random number generator after fork.
Issue #20494: mmap obmalloc arenas so that they may be immediately returned to the system when unused
pyconfig: Better comment associated with HAVE_DEV_PTMX and HAVE_DEV_PTC
Fix for r84195: add HAVE_ALLOCA_H to configure and only include alloca.h if it's available
Read version from python source
Generate pybuilddir.txt and _sysconfigdata.py if python >= 2.7.5 is used
Update default python version from 2.7.3 to 2.7.8
Install _sysconfigdata.py
Fix md5 used with Python-2.7.8.tgz
Disable ctypes extension when using "Visual Studio 2008 Win64" generator.
Disable ctypes extension when using CMake < 2.8.12 with VS2010 generators.
Fix typo in ConfigureChecks.cmake
Add build matrix for appveyor and travis.
Use target_compile_definitions only if available
Rename "append_list_in_cache" CMake macro into "_append_list_in_cache"
Fix undeclared PyDateTimeAPI error when building _testcapi module as builtin
Update Extensions module to support conditional requirements
Fix link / undefined symbol error associated with "_curses_panel" extension
Fix "pyexpat" import error when "_sqlite3" and "pyexpat" where "builtin"
Never build '_ctypes_test' as builtin extension
Add option BUILD_EXTENSIONS_AS_BUILTIN
Hide BUILTIN_FOO option if FOO is disabled
Tweak check required to conditionally exclude ctypes extensions
Fix build of ctypes as builtin extension with Visual Studio 10
Relocate CMake checks into its own module
Fix error message displaying python source searched locations.
UpdateSysconfig: Fix typo
Fix regular dashboard removing version from project name set in CTestConfig
Fix value of CMAKE_SYSTEM_PROCESSOR on windows when using CMake < 2.8.11
Add support for building the windows installer
Enable travis-ci OSX builds setting-up multi-os support
README: Fix repository URL in clone instruction
Speed-up travis CI build using contained-based infrastructure
Fix openssl_md_meth_names error reported on travis

John Cary (2):
Add option INSTALL_WINDOWS_TRADITIONAL
Allow configuration providing the patch version. Fixes 0000057

John R. Cary (3):
Fix undefined _PyTime_FloatTime symbol linker error
Add Crypt32 library to _ssl_LIBRARIES to fix shared link.
Exclude timemodule.c when building datemodule extension on windows.

Marcel Metz (1):
Escape PYTHONPATH macro value separator for NMake

Matt McCormick (4):
Expose ffi headers only for _ctypes module compiled on unix
Add _ctypes support for x86, MSVC.
Add support for 64-bit _ctypes with MSVC.
Improve README overview text.

Max Smolens (4):
Fix building on windows
Fix failing tests on Windows by making more modules built-in
Hide CMake policy CMP0042 warnings
Fix Unix build when CMAKE_BUILD_WITH_INSTALL_RPATH is enabled

From: Max Smolens <max.smolens@kitware.com>

git-svn-id: http://svn.slicer.org/Slicer4/trunk@24525 3bd1e089-480b-0410-8dfb-8563597acbee
mod - SuperBuild/External_python.cmake Diff File

Issue History

Date Modified Username Field Change
2007-05-09 08:02 TracyAbildskov New Issue
2007-08-15 12:35 pieper Note Added: 0000110
2007-08-15 12:35 pieper Assigned To => Yumin
2007-08-15 12:35 pieper Priority normal => high
2007-08-15 12:35 pieper Status new => acknowledged
2007-11-15 10:35 Yumin Note Added: 0000133
2007-11-15 10:45 Yumin Note Added: 0000134
2007-11-15 10:45 Yumin Status acknowledged => resolved
2017-06-10 08:51 msmolens Changeset attached => Slicer master 01a003a8